> For the complete documentation index, see [llms.txt](https://docs.shiplemon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shiplemon.com/endpoints/shipments/get-shipment.md).

# Get shipment

## Get shipment

<mark style="color:blue;">`GET`</mark> `https://api-sandbox.shiplemon.com/v1/shipments/:id`

Returns  the shipment's information

#### Path Parameters

| Name | Type   | Description            |
| ---- | ------ | ---------------------- |
| id   | string | The id of the shipment |

{% tabs %}
{% tab title="200 Returns a unique shipment by id" %}

```
{
    "data": {
        "id": "6033fea86358650f6f2d9f06",
        "driver": "ups",
        "pickup_ref": null,
        "tracking_ref": "1Z7810V10433677098",
        "tracking_url": "https://www.ups.com/track?tracknum=1Z7810V10433677098",
        "tracking_status": "PRE_TRANSIT",
        "tracking_history": [],
        "label_url": "https://static.weship.gr/labels/ups/1Z7810V10433677098.png",
        "invoice_url": null,
        "address_from": { 
            "country":"GR", 
            "zip":"14451",
            "name": "Kostas Papadopoulos", 
            "company": "Papadopoulou IKE", 
            "address": "Papadopoulou 23",
            "address2": "Floor 2"
            "city": "Athens",
            "phone": "+306900000000",
            "email": "example@gmail.com"
            "country": "GR",
            "notes": "call me"            
        },
        "address_to": {
            "name": "SG2",
            "country": "GR",
            "state": "I",
            "city": "Athens",
            "zip": "14451",
            "address": "Kolokotroni 2",
            "email": "example2@gmail.com",
            "phone": "+306900000000"
        },
        "items": [
            {
                "weight": 2000,
                "height": 10,
                "width": 10,
                "length": 10,
                "notes": "Clothes"
            }
        ],
        "pickup": null,
        "rate": {
            "id": "ups_65_f77b5a8f-f66f-42b6-b84a-f0a18f82cfe8",
            "driver": "ups",
            "provider": {
                "name": "UPS",
                "image": "https://static.deliverback.gr/providers/ups.png"
            },
            "service": {
                "name": "UPS Express Saver",
                "estimated_delivery_in_days": 1
            },
            "total_amount": 14.28,
            "currency": "EUR",
            "printing_required": true,
            "transportation": "road",
            "metadata": {
                "items": [
                    {
                        "weight": 2000,
                        "height": 10,
                        "width": 10,
                        "length": 10,
                        "notes": "Nike air max",
                        "value": 20
                    }
                ],
                "address_from": {
                    "country": "GR",
                    "zip": "14451"
                },
                "address_to": {
                    "country": "GR",
                    "zip": "14121"
                }
            }
        }
    }
}
```

{% endtab %}
{% endtabs %}

## Example Request

{% tabs %}
{% tab title="cURL" %}

```
curl --location --request GET 'https://api-sandbox.shiplemon.com/v1/shipments/<shipment_id>' \
--header 'x-api-key: <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
}'
```

{% endtab %}
{% endtabs %}

## Example response

```
{
    "status":"ok",
    "data":{
        "id":"be96511d-ba23-4268-bd8b-48c9cf930222",
        "partner_id":"6130aa18c713254a3719e222",
        "invoice_id":null,
        "partner_credentials_used":true,
        "related_order_id":null,
        "payment_ref":null,
        "payment_amount":null,
        "state":"created",
        "driver":"elta",
        "pickup_ref":null,
        "tracking_ref":"ZU500011420GR",
        "tracking_url":"https://www.elta-courier.gr/search?br=ZU500011420GR",
        "tracking_status":"PRE_TRANSIT",
        "tracking_history":[],
        "label_url":"https://static.shiplemon.com/labels/elta/ZU500011420GR.pdf",
        "address_from":{
            "_id":"61a15f9cfb38f514bd732222",
            "country":"GR",
            "company":"",
            "name":"John Doe",
            "phone":"+306912345678",
            "email":"john@mail.com",
            "address":"Jane Street 1",
            "state":"I",
            "city":"Athens",
            "zip":"11111",
        },
        "address_to":{
            "country":"GR",
            "country_code":"GR",
            "dial_code":"+30",
            "name":"Mary Doe",
            "zip":"11111",
            "city":"Athns",
            "address":"Jane Street 2",
            "phone":"+306912345678"
        },
        "items":[{
            "width":1,
            "height":1,
            "length":1,
            "weight":5000,
            "label":"Box",
            "notes":"Box",
            "invoice_lines":[]
        }],
        "pickup":null,
        "pickup_at":null,
        "delivered_at":null,
        "rate":{
            "id":"elta_1_790db74a-2b6f-4eaa-8918-60de9f192222",
            "driver":"elta",
            "provider":{
                "name":"ELTA Courier",
                "image":"https://static.shiplemon.com/providers/eltacourier.svg"
            },
            "service":{
                "code":"elta_courier_porta_porta",
                "name":"Porta-Porta",
                "estimated_delivery_in_days":3
            },
            "total_amount":0,
            "total_without_tax_amount":0,
            "tax_amount":0,
            "currency":"EUR",
            "printing_required":true,
            "has_cash_on_delivery":true,
            "has_custom_credentials":true,
            "has_shipment_pickup_combined":false,
            "has_tracking_code_on_pickup":false,
            "has_pickup":false,
            "transportation":"road",
            "metadata":{
                "address_from":{
                    "_id":"61a15f9cfb38f514bd732222",
                    "country":"GR",
                    "company":"",
                    "name":"John Doe",
                    "phone":"+306912345678",
                    "email":"john@mail.com",
                    "address":"Jane Street 1",
                    "state":"I",
                    "city":"Athens",
                    "zip":"11111",
                },
                "address_to":{
                    "country":"GR",
                    "country_code":"GR",
                    "dial_code":"+30",
                    "name":"Mary Doe",
                    "zip":"11111",
                    "city":"Athns",
                    "address":"Jane Street 2",
                    "phone":"+306912345678"
                },
                "items":[{
                    "width":1,
                    "height":1,
                    "length":1,
                    "weight":5000,
                    "label":"Box",
                    "notes":"Box",
                    "invoice_lines":[]
                }]
            },
            "cash_on_delivery":0,
            "logs":[],
            "tags":[],
            "notifications":[],
            "created_at":"2022-01-03T08:30:23.065Z",
            "updated_at":"2022-01-03T08:30:23.081Z"
        }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shiplemon.com/endpoints/shipments/get-shipment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
